com.dlsc.flexgantt.model.scheduling

## Enum BufferType

- java.lang.Object
- - java.lang.Enum<BufferType>
  - - com.dlsc.flexgantt.model.scheduling.BufferType

- All Implemented Interfaces:
    Serializable, Comparable<BufferType>

      public enum BufferType
      extends Enum<BufferType>

  The type of the buffer between two timeline objecs.
  Since:
    2.1
  Author:
    Dirk Lemmermann
  See Also:
    `IConstraint.getBufferType()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXACTLY` A buffer type that requires a buffer of an exact value (e.g.
    `LESS_OR_EXACTLY` A buffer type that requires a buffer of less than or exactly a value (e.g.
    `LESS_THAN` A buffer type that requires a buffer of less than a value (e.g.
    `MORE_OR_EXACTLY` A buffer type that requires a buffer of more than or exactly a value (e.g.
    `MORE_THAN` A buffer type that requires a buffer of more than a given value (e.g.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BufferType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BufferType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXACTLY

          public static final BufferType EXACTLY

      A buffer type that requires a buffer of an exact value (e.g. "exactly" one day between two timeline objects).
      Since:
        2.1

    - #### MORE_THAN

          public static final BufferType MORE_THAN

      A buffer type that requires a buffer of more than a given value (e.g. "more than" one day between two timeline objects).
      Since:
        2.1

    - #### MORE_OR_EXACTLY

          public static final BufferType MORE_OR_EXACTLY

      A buffer type that requires a buffer of more than or exactly a value (e.g. "more than or exactly" one day between two timeline objects).
      Since:
        2.1

    - #### LESS_THAN

          public static final BufferType LESS_THAN

      A buffer type that requires a buffer of less than a value (e.g. "less than" one day between two timeline objects).
      Since:
        2.1

    - #### LESS_OR_EXACTLY

          public static final BufferType LESS_OR_EXACTLY

      A buffer type that requires a buffer of less than or exactly a value (e.g. "less than or exactly" one day between two timeline objects).
      Since:
        2.1

  - ### Method Detail

    - #### values

          public static BufferType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BufferType c : BufferType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BufferType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.